
Figure - Bug #118221
【IOVISSUE-6978】【2023/05/17 20:09】【LJD8BB3F2P0000700】车机说副驾屏已打开状态，实际是黑着的
2023-05-24 22:02 - CD TPM-王祥林

Status: CLOSED Start date: 2023-05-24

Priority: Normal Due date: 2023-05-26

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.C103

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Free Test Root cause: 同件BUG

Description

通过语音唤醒副屏，车机说现在是副驾屏已打开状态，但实际屏幕还是黑的。

问题发生时间：2023/05/17 20:09

History

#1 - 2023-05-24 22:03 - CD TPM-王祥林

2023/05/18 16:24  Vivienne WANG 王俊阳 添加了评论 - 2023/05/18 16:24

根据日志分析 Log_633_076_20230517200907.7z ：

（1）遥控器请求到当前副屏为关闭状态 并发送了副屏电源点击事件  

05-17 20:09:01.987 10628 10658 D RemoteControlClient_MessageReader: praseEvent: json object =

{"source":0,"token":"PyCqFaTYMfWlVUf","type":"current_screen_status","value":"screen_off"}

05-17 20:09:01.987 10628 10658 I HFSEM_REMOTE_CTRL: RemoteControlRepository-screen status:screen_off

05-17 20:09:01.988 10628 10658 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-open co-driver screen

05-17 20:09:01.991 10628 18201 D RemoteControlClient_SocketMessageUtil: Send message to service finished. direction: 1, messageType: 5, json:

{"type":"power","source":0,"token":"PyCqFaTYMfWlVUf","value":"click"}

（2）接着 收到了62错误码 因此副屏打开失败 此处*需SDK服务端同事分析收到62错误码的原因*Lei YANG 杨磊

05-17 20:09:04.824 10628 10653 E RemoteControlClient_MessageReader: readFromServer: cant get data from service.

05-17 20:09:04.825 10628 10653 I HFSEM_REMOTE_CTRL: RemoteControlRepository-onError code=62;msg=Can not receive data from server.

（3）SDK客户端链接服务端成功后 遥控器重新请求了副屏状态 副屏SDK返回screen_on 即副屏为打开状态  若此时副屏实际是黑的 需SDK服务端同事分析

屏幕状态码返回错误的原因Lei YANG 杨磊

05-17 20:09:04.825 10628 10653 E RemoteControlClient_ConnectionCommand: Now is connected

05-17 20:09:04.825 10628 10653 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-query co-driver screen power status

05-17 20:09:04.840 10628 10658 D RemoteControlClient_MessageReader: praseEvent: json object =

{"source":0,"token":"PyCqFaTYMfWlVUf","type":"current_screen_status","value":"screen_on"}

05-17 20:09:04.840 10628 10658 I HFSEM_REMOTE_CTRL: RemoteControlRepository-screen status:screen_on

05-17 20:09:04.840 10628 10658 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-already open co-driver screen

#2 - 2023-05-24 22:03 - CD TPM-王祥林

v-YingWang 添加了评论 - 2023/05/18 21:39
中控遥控器端获取到副屏为熄灭状态，点击遥控器按钮点亮副屏，副屏日志显示亮屏成功。但屏幕无显示，疑似屏幕端异常。下一步需要和查看是否有

屏幕的异常DTC日志

//查询结果为息屏

./000047_persist_00266_230517_200845.log:05-17 20:09:01.901 2269 2403 D RemoteControlService: Send message finished. direction: 16, messageType: 37, json:

{"source":0,"token":"PyCqFaTYMfWlVUf","type":"current_screen_status","value":"screen_off"}

//按下电源键

./000047_persist_00266_230517_200845.log:05-17 20:09:01.910 2269 16474 D RemoteControlService: Request params: BaseRequestCommandBean{source=0,

token='PyCqFaTYMfWlVUf', type='power', value='click'}

//上报屏幕点亮成功

./000047_persist_00266_230517_200845.log:05-17 20:09:01.973 2038 2038 I MicroServiceManager: requestResult(reportScreenDisplay) parameters

is{"reportScreenDisplay":1}.

#3 - 2023-05-24 22:04 - CD TPM-王祥林

Pinging GAO 高平平 添加了评论 - 2023/05/23 20:07

帮看下此时是否有视频输出？另外上报屏幕点亮成功的逻辑是怎么样的（比如下发0x80 再回读？）谢谢

#4 - 2023-05-24 22:05 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD BSP-余霄

余霄

帮忙看看客户问题的点亮逻辑。

#5 - 2023-05-24 22:06 - CD TPM-王祥林

- File log.zip added

#6 - 2023-05-24 23:27 - CD TPM-王祥林

- Due date set to 2023-05-26

#7 - 2023-05-24 23:28 - CD TPM-王祥林

- Assignee changed from CD BSP-余霄 to CD System 雷祥

#8 - 2023-05-25 09:48 - CD System 雷祥

- Assignee changed from CD System 雷祥 to CD BSP-余霄

#9 - 2023-05-25 22:55 - CD BSP-余霄

目前从驱动的日志看到有设置屏幕亮屏的操作，并且检查到日志中没有异常。所以导致屏幕仍然没有亮的原因可能有两个：

1.驱动写了屏端寄存器，屏端内部异常导致没有点亮。

2.屏幕的亮度值被设置成了0.

下一步计划：

由于这个车没有接数据采集仪所以看不到屏端的CAN log，无法确认屏端当时的状态。所以控制会做如下操作。
1.驱动侧添加写入后的回读机制，如果异常的就retry五次，然后报DTC。

2.检测屏端是否有视频信号，如果没有就进行reset操作。

3.驱动侧添加亮度变化和亮灭屏的日志。

预计今天合入。

#10 - 2023-05-29 10:33 - CD BSP-余霄

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- Root cause set to 添加RETRY机制

同118238 BUG，新增retry机制

#11 - 2023-06-01 11:46 - CDTS-TEST 周婷

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD BSP-余霄

这个只是增加强化日志，没有实际解决，需进行跟踪

#12 - 2023-06-01 14:56 - CD BSP-余霄

目前，将这段时间的黑屏BUG做分类，如下：

1.屏端软件异常，电压异常、屏幕处于not ready状态等，需屏厂更新软件解决

2.主机端投屏ok，屏端背光未打开，主机端未做异常恢复机制。5.31合入代码解决。

3.no video异常，视频信号传输异常，该类BUG旧版本日志DTC无明显报错，5.31合入代码新增视频检测信号，并打印日志。

目前屏厂monkey测试出现2台异常，但现场未保留。正在让屏厂复现，并验证修改方案，预计验证OK后6.2号合入。

从日志中分析，该BUG为第3类。

目前5.31版本已提供VB给屏厂测试中，持续跟进屏厂测试结果中。

#13 - 2023-06-02 18:38 - CD BSP-余霄

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- Root cause changed from 添加RETRY机制 to 同件BUG

与118419为同件BUG，此票关闭。

保留118419跟进问题。

#14 - 2023-06-02 18:53 - CD TEST-方永红

- Resolution changed from -- to DUPLICATE

#15 - 2023-06-02 18:54 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
#16 - 2023-06-02 18:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

log.zip 7.44 MB 2023-05-24 CD TPM-王祥林
